package reparto_izca.keymon.lat;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class mapa_rutas extends Activity implements B4AActivity{
	public static mapa_rutas mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;
    public static boolean dontPause;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "reparto_izca.keymon.lat", "reparto_izca.keymon.lat.mapa_rutas");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (mapa_rutas).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "reparto_izca.keymon.lat", "reparto_izca.keymon.lat.mapa_rutas");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "reparto_izca.keymon.lat.mapa_rutas", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (mapa_rutas) Create " + (isFirst ? "(first time)" : "") + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (mapa_rutas) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return mapa_rutas.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        if (!dontPause)
            BA.LogInfo("** Activity (mapa_rutas) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        else
            BA.LogInfo("** Activity (mapa_rutas) Pause event (activity is not paused). **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        if (!dontPause) {
            processBA.setActivityPaused(true);
            mostCurrent = null;
        }

        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            mapa_rutas mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (mapa_rutas) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.gps.GPS _gps = null;
public static anywheresoftware.b4a.objects.RuntimePermissions _rp = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c2 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c22 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c3 = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper _gmap = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper _mapfragment1 = null;
public static double _latitud = 0;
public static double _longitud = 0;
public static double _lat2 = 0;
public static double _lon2 = 0;
public anywheresoftware.b4a.gps.LocationWrapper _p1 = null;
public anywheresoftware.b4a.gps.LocationWrapper _p2 = null;
public static float _distance = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _boton1 = null;
public static float _hue_blue = 0f;
public static float _hue_red = 0f;
public static float _hue_green = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _b_azul = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_rojo = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_verde = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_todos = null;
public static String _tienda = "";
public static String _ruta = "";
public static String _rutaant = "";
public static double _latitudru = 0;
public static double _longitudru = 0;
public anywheresoftware.b4a.objects.collections.List _list_azul = null;
public anywheresoftware.b4a.objects.collections.List _list_rojo = null;
public anywheresoftware.b4a.objects.collections.List _list_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_azul = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_rojo = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_cedis = null;
public static String _rojo = "";
public static String _azul = "";
public static String _verde = "";
public static String _todos = "";
public static int _numserie = 0;
public uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener _oninfowindowclicklistener1 = null;
public uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras _googlemapextra = null;
public static String _codigo = "";
public static String _semana = "";
public b4a.example.dateutils _dateutils = null;
public reparto_izca.keymon.lat.main _main = null;
public reparto_izca.keymon.lat.appupdater _appupdater = null;
public reparto_izca.keymon.lat.subs _subs = null;
public reparto_izca.keymon.lat.foto _foto = null;
public reparto_izca.keymon.lat.mapa_cliente _mapa_cliente = null;
public reparto_izca.keymon.lat.starter _starter = null;
public reparto_izca.keymon.lat.tracker _tracker = null;
public reparto_izca.keymon.lat.newinst2 _newinst2 = null;
public reparto_izca.keymon.lat.b4xpages _b4xpages = null;
public reparto_izca.keymon.lat.b4xcollections _b4xcollections = null;
public reparto_izca.keymon.lat.httputils2service _httputils2service = null;
public reparto_izca.keymon.lat.xuiviewsutils _xuiviewsutils = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}));}
RDebugUtils.currentLine=71630848;
 //BA.debugLineNum = 71630848;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=71630850;
 //BA.debugLineNum = 71630850;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
mostCurrent._activity.LoadLayout("MAPA_RUTAS",mostCurrent.activityBA);
RDebugUtils.currentLine=71630861;
 //BA.debugLineNum = 71630861;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable = F";
if (mostCurrent._mapfragment1.IsGooglePlayServicesAvailable(mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=71630862;
 //BA.debugLineNum = 71630862;BA.debugLine="ToastMessageShow(\"Please install Google Play Ser";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Please install Google Play Services."),anywheresoftware.b4a.keywords.Common.True);
 };
RDebugUtils.currentLine=71630873;
 //BA.debugLineNum = 71630873;BA.debugLine="MARK_AZUL.IsInitialized";
mostCurrent._mark_azul.IsInitialized();
RDebugUtils.currentLine=71630874;
 //BA.debugLineNum = 71630874;BA.debugLine="MARK_ROJO.IsInitialized";
mostCurrent._mark_rojo.IsInitialized();
RDebugUtils.currentLine=71630875;
 //BA.debugLineNum = 71630875;BA.debugLine="MARK_VERDE.IsInitialized";
mostCurrent._mark_verde.IsInitialized();
RDebugUtils.currentLine=71630877;
 //BA.debugLineNum = 71630877;BA.debugLine="LIST_AZUL.Initialize";
mostCurrent._list_azul.Initialize();
RDebugUtils.currentLine=71630878;
 //BA.debugLineNum = 71630878;BA.debugLine="LIST_ROJO.Initialize";
mostCurrent._list_rojo.Initialize();
RDebugUtils.currentLine=71630879;
 //BA.debugLineNum = 71630879;BA.debugLine="LIST_VERDE.Initialize";
mostCurrent._list_verde.Initialize();
RDebugUtils.currentLine=71630881;
 //BA.debugLineNum = 71630881;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=71630882;
 //BA.debugLineNum = 71630882;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=71630883;
 //BA.debugLineNum = 71630883;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=71630884;
 //BA.debugLineNum = 71630884;BA.debugLine="todos = 1";
mostCurrent._todos = BA.NumberToString(1);
RDebugUtils.currentLine=71630898;
 //BA.debugLineNum = 71630898;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _key) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_keypress", false))
	 {return ((Boolean) Debug.delegate(mostCurrent.activityBA, "activity_keypress", new Object[] {_key}));}
RDebugUtils.currentLine=72286208;
 //BA.debugLineNum = 72286208;BA.debugLine="Sub Activity_KeyPress (key As Int) As Boolean 'ign";
RDebugUtils.currentLine=72286210;
 //BA.debugLineNum = 72286210;BA.debugLine="If key=KeyCodes.KEYCODE_BACK Then";
if (_key==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
RDebugUtils.currentLine=72286212;
 //BA.debugLineNum = 72286212;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Principal");
RDebugUtils.currentLine=72286213;
 //BA.debugLineNum = 72286213;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
RDebugUtils.currentLine=72286217;
 //BA.debugLineNum = 72286217;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
RDebugUtils.currentLine=71958528;
 //BA.debugLineNum = 71958528;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=71958529;
 //BA.debugLineNum = 71958529;BA.debugLine="GPS.Stop";
_gps.Stop();
RDebugUtils.currentLine=71958530;
 //BA.debugLineNum = 71958530;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null));}
RDebugUtils.currentLine=71892992;
 //BA.debugLineNum = 71892992;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=71892999;
 //BA.debugLineNum = 71892999;BA.debugLine="End Sub";
return "";
}
public static String  _b_azul_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_azul_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_azul_click", null));}
RDebugUtils.currentLine=72220672;
 //BA.debugLineNum = 72220672;BA.debugLine="Sub B_AZUL_Click";
RDebugUtils.currentLine=72220673;
 //BA.debugLineNum = 72220673;BA.debugLine="azul = 1";
mostCurrent._azul = BA.NumberToString(1);
RDebugUtils.currentLine=72220674;
 //BA.debugLineNum = 72220674;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=72220675;
 //BA.debugLineNum = 72220675;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=72220676;
 //BA.debugLineNum = 72220676;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=72220677;
 //BA.debugLineNum = 72220677;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
RDebugUtils.currentLine=72220678;
 //BA.debugLineNum = 72220678;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=72220679;
 //BA.debugLineNum = 72220679;BA.debugLine="End Sub";
return "";
}
public static void  _mapfragment1_ready() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "mapfragment1_ready", false))
	 {Debug.delegate(mostCurrent.activityBA, "mapfragment1_ready", null); return;}
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(reparto_izca.keymon.lat.mapa_rutas parent) {
this.parent = parent;
}
reparto_izca.keymon.lat.mapa_rutas parent;
String _permission = "";
boolean _result = false;
anywheresoftware.b4j.object.JavaObject _javamapsobject = null;
int _esteazul = 0;
String _esteazul2 = "";
int _i = 0;
anywheresoftware.b4a.sql.SQL.CursorWrapper _s = null;
int _esterojo = 0;
String _esterojo2 = "";
anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper _aa = null;
int step15;
int limit15;
int step49;
int limit49;
int step74;
int limit74;
int step94;
int limit94;
int step119;
int limit119;

@Override
public void resume(BA ba, Object[] result) throws Exception{
RDebugUtils.currentModule="mapa_rutas";

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
RDebugUtils.currentLine=71696385;
 //BA.debugLineNum = 71696385;BA.debugLine="gmap = MapFragment1.GetMap";
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.GetMap();
RDebugUtils.currentLine=71696386;
 //BA.debugLineNum = 71696386;BA.debugLine="gmap.IsInitialized";
parent.mostCurrent._gmap.IsInitialized();
RDebugUtils.currentLine=71696387;
 //BA.debugLineNum = 71696387;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
parent._rp.CheckAndRequest(processBA,parent._rp.PERMISSION_ACCESS_FINE_LOCATION);
RDebugUtils.currentLine=71696388;
 //BA.debugLineNum = 71696388;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, new anywheresoftware.b4a.shell.DebugResumableSub.DelegatableResumableSub(this, "mapa_rutas", "mapfragment1_ready"), null);
this.state = 126;
return;
case 126:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
RDebugUtils.currentLine=71696389;
 //BA.debugLineNum = 71696389;BA.debugLine="gmap.MyLocationEnabled = Result";
parent.mostCurrent._gmap.setMyLocationEnabled(_result);
RDebugUtils.currentLine=71696391;
 //BA.debugLineNum = 71696391;BA.debugLine="Dim JavaMapsObject As JavaObject";
_javamapsobject = new anywheresoftware.b4j.object.JavaObject();
RDebugUtils.currentLine=71696392;
 //BA.debugLineNum = 71696392;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
_javamapsobject = (anywheresoftware.b4j.object.JavaObject) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4j.object.JavaObject(), (java.lang.Object)(parent.mostCurrent._gmap.GetUiSettings().getObject()));
RDebugUtils.currentLine=71696393;
 //BA.debugLineNum = 71696393;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
_javamapsobject.RunMethod("setMapToolbarEnabled",new Object[]{(Object)(anywheresoftware.b4a.keywords.Common.True)});
RDebugUtils.currentLine=71696395;
 //BA.debugLineNum = 71696395;BA.debugLine="Private esteAzul As Int = 0";
_esteazul = (int) (0);
RDebugUtils.currentLine=71696396;
 //BA.debugLineNum = 71696396;BA.debugLine="Private esteAzul2 As String";
_esteazul2 = "";
RDebugUtils.currentLine=71696397;
 //BA.debugLineNum = 71696397;BA.debugLine="If azul = 1 Or todos = 1  Then";
if (true) break;

case 1:
//if
this.state = 59;
if ((parent.mostCurrent._azul).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
RDebugUtils.currentLine=71696398;
 //BA.debugLineNum = 71696398;BA.debugLine="c.IsInitialized";
parent._c.IsInitialized();
RDebugUtils.currentLine=71696399;
 //BA.debugLineNum = 71696399;BA.debugLine="c = Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LAT, CAT_CL_LONG, CAT_CL_RUTA from kmt_info where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
RDebugUtils.currentLine=71696400;
 //BA.debugLineNum = 71696400;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
RDebugUtils.currentLine=71696401;
 //BA.debugLineNum = 71696401;BA.debugLine="For i = 0 To c.RowCount -1";
if (true) break;

case 4:
//for
this.state = 52;
step15 = 1;
limit15 = (int) (parent._c.getRowCount()-1);
_i = (int) (0) ;
this.state = 127;
if (true) break;

case 127:
//C
this.state = 52;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 6;
if (true) break;

case 128:
//C
this.state = 127;
_i = ((int)(0 + _i + step15)) ;
if (true) break;

case 6:
//C
this.state = 7;
RDebugUtils.currentLine=71696402;
 //BA.debugLineNum = 71696402;BA.debugLine="c.Position = i";
parent._c.setPosition(_i);
RDebugUtils.currentLine=71696403;
 //BA.debugLineNum = 71696403;BA.debugLine="LatitudRu = c.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LAT")));
RDebugUtils.currentLine=71696404;
 //BA.debugLineNum = 71696404;BA.debugLine="LongitudRU = c.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LONG")));
RDebugUtils.currentLine=71696405;
 //BA.debugLineNum = 71696405;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=71696406;
 //BA.debugLineNum = 71696406;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=71696407;
 //BA.debugLineNum = 71696407;BA.debugLine="ruta = c.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c.GetString("CAT_CL_RUTA");
RDebugUtils.currentLine=71696408;
 //BA.debugLineNum = 71696408;BA.debugLine="If c.GetString(\"SECUENCIA\") = \"null\" Then";
if (true) break;

case 7:
//if
this.state = 12;
if ((parent._c.GetString("SECUENCIA")).equals("null")) { 
this.state = 9;
}else {
this.state = 11;
}if (true) break;

case 9:
//C
this.state = 12;
RDebugUtils.currentLine=71696409;
 //BA.debugLineNum = 71696409;BA.debugLine="NumSerie = 0";
parent._numserie = (int) (0);
 if (true) break;

case 11:
//C
this.state = 12;
RDebugUtils.currentLine=71696411;
 //BA.debugLineNum = 71696411;BA.debugLine="NumSerie = c.GetString(\"SECUENCIA\")";
parent._numserie = (int)(Double.parseDouble(parent._c.GetString("SECUENCIA")));
 if (true) break;

case 12:
//C
this.state = 13;
;
RDebugUtils.currentLine=71696413;
 //BA.debugLineNum = 71696413;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
_s = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_s = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select indice from waypoints where codigo = '"+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent.mostCurrent._codigo))+"'"))));
RDebugUtils.currentLine=71696414;
 //BA.debugLineNum = 71696414;BA.debugLine="If s.RowCount > 0 Then";
if (true) break;

case 13:
//if
this.state = 16;
if (_s.getRowCount()>0) { 
this.state = 15;
}if (true) break;

case 15:
//C
this.state = 16;
RDebugUtils.currentLine=71696415;
 //BA.debugLineNum = 71696415;BA.debugLine="s.Position = 0";
_s.setPosition((int) (0));
RDebugUtils.currentLine=71696416;
 //BA.debugLineNum = 71696416;BA.debugLine="NumSerie = s.GetString(\"indice\")";
parent._numserie = (int)(Double.parseDouble(_s.GetString("indice")));
 if (true) break;
;
RDebugUtils.currentLine=71696418;
 //BA.debugLineNum = 71696418;BA.debugLine="If rutaAnt <> ruta Then esteAzul = esteAzul + 1";

case 16:
//if
this.state = 21;
if ((parent.mostCurrent._rutaant).equals(parent.mostCurrent._ruta) == false) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
_esteazul = (int) (_esteazul+1);
if (true) break;

case 21:
//C
this.state = 22;
;
RDebugUtils.currentLine=71696425;
 //BA.debugLineNum = 71696425;BA.debugLine="If esteAzul = 1 Then esteAzul2= \"marker-azul.pn";
if (true) break;

case 22:
//if
this.state = 27;
if (_esteazul==1) { 
this.state = 24;
;}if (true) break;

case 24:
//C
this.state = 27;
_esteazul2 = "marker-azul.png";
if (true) break;

case 27:
//C
this.state = 28;
;
RDebugUtils.currentLine=71696426;
 //BA.debugLineNum = 71696426;BA.debugLine="If esteAzul = 2 Then esteAzul2= \"marker-azul1.p";
if (true) break;

case 28:
//if
this.state = 33;
if (_esteazul==2) { 
this.state = 30;
;}if (true) break;

case 30:
//C
this.state = 33;
_esteazul2 = "marker-azul1.png";
if (true) break;

case 33:
//C
this.state = 34;
;
RDebugUtils.currentLine=71696427;
 //BA.debugLineNum = 71696427;BA.debugLine="If esteAzul = 3 Then esteAzul2= \"marker-azul2.p";
if (true) break;

case 34:
//if
this.state = 39;
if (_esteazul==3) { 
this.state = 36;
;}if (true) break;

case 36:
//C
this.state = 39;
_esteazul2 = "marker-azul2.png";
if (true) break;

case 39:
//C
this.state = 40;
;
RDebugUtils.currentLine=71696428;
 //BA.debugLineNum = 71696428;BA.debugLine="If esteAzul = 4 Then esteAzul2= \"marker-azul3.p";
if (true) break;

case 40:
//if
this.state = 45;
if (_esteazul==4) { 
this.state = 42;
;}if (true) break;

case 42:
//C
this.state = 45;
_esteazul2 = "marker-azul3.png";
if (true) break;

case 45:
//C
this.state = 46;
;
RDebugUtils.currentLine=71696429;
 //BA.debugLineNum = 71696429;BA.debugLine="If esteAzul = 5 Then esteAzul2= \"marker-azul4.p";
if (true) break;

case 46:
//if
this.state = 51;
if (_esteazul==5) { 
this.state = 48;
;}if (true) break;

case 48:
//C
this.state = 51;
_esteazul2 = "marker-azul4.png";
if (true) break;

case 51:
//C
this.state = 128;
;
RDebugUtils.currentLine=71696434;
 //BA.debugLineNum = 71696434;BA.debugLine="MARK_AZUL = gmap.AddMarker3(LatitudRu,LongitudR";
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(parent.mostCurrent._subs._createbitmapwithnumber /*anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper*/ (mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),_esteazul2),parent._numserie).getObject()));
RDebugUtils.currentLine=71696435;
 //BA.debugLineNum = 71696435;BA.debugLine="MARK_AZUL.Snippet = \"R: \" & ruta & \" - \" & Tien";
parent.mostCurrent._mark_azul.setSnippet("R: "+parent.mostCurrent._ruta+" - "+parent.mostCurrent._tienda);
RDebugUtils.currentLine=71696436;
 //BA.debugLineNum = 71696436;BA.debugLine="rutaAnt = ruta";
parent.mostCurrent._rutaant = parent.mostCurrent._ruta;
 if (true) break;
if (true) break;

case 52:
//C
this.state = 53;
;
RDebugUtils.currentLine=71696438;
 //BA.debugLineNum = 71696438;BA.debugLine="c .Close";
parent._c.Close();
RDebugUtils.currentLine=71696439;
 //BA.debugLineNum = 71696439;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
if (true) break;

case 53:
//if
this.state = 58;
if (parent.mostCurrent._mark_azul.IsInitialized()) { 
this.state = 55;
;}if (true) break;

case 55:
//C
this.state = 58;
parent.mostCurrent._list_azul.Add((Object)(parent.mostCurrent._mark_azul.getObject()));
if (true) break;

case 58:
//C
this.state = 59;
;
 if (true) break;
;
RDebugUtils.currentLine=71696442;
 //BA.debugLineNum = 71696442;BA.debugLine="If verde = 1 Or todos = 1  Then";

case 59:
//if
this.state = 92;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 61;
}else {
this.state = 77;
}if (true) break;

case 61:
//C
this.state = 62;
RDebugUtils.currentLine=71696443;
 //BA.debugLineNum = 71696443;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
RDebugUtils.currentLine=71696444;
 //BA.debugLineNum = 71696444;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
RDebugUtils.currentLine=71696445;
 //BA.debugLineNum = 71696445;BA.debugLine="c2=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO,";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
RDebugUtils.currentLine=71696446;
 //BA.debugLineNum = 71696446;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 62:
//for
this.state = 75;
step49 = 1;
limit49 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 129;
if (true) break;

case 129:
//C
this.state = 75;
if ((step49 > 0 && _i <= limit49) || (step49 < 0 && _i >= limit49)) this.state = 64;
if (true) break;

case 130:
//C
this.state = 129;
_i = ((int)(0 + _i + step49)) ;
if (true) break;

case 64:
//C
this.state = 65;
RDebugUtils.currentLine=71696447;
 //BA.debugLineNum = 71696447;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
RDebugUtils.currentLine=71696448;
 //BA.debugLineNum = 71696448;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
RDebugUtils.currentLine=71696449;
 //BA.debugLineNum = 71696449;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
RDebugUtils.currentLine=71696450;
 //BA.debugLineNum = 71696450;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=71696451;
 //BA.debugLineNum = 71696451;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=71696452;
 //BA.debugLineNum = 71696452;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c2.GetString("CAT_CL_RUTA");
RDebugUtils.currentLine=71696453;
 //BA.debugLineNum = 71696453;BA.debugLine="If c2.GetString(\"SECUENCIA\") = \"null\" Then";
if (true) break;

case 65:
//if
this.state = 70;
if ((parent._c2.GetString("SECUENCIA")).equals("null")) { 
this.state = 67;
}else {
this.state = 69;
}if (true) break;

case 67:
//C
this.state = 70;
RDebugUtils.currentLine=71696454;
 //BA.debugLineNum = 71696454;BA.debugLine="NumSerie = 0";
parent._numserie = (int) (0);
 if (true) break;

case 69:
//C
this.state = 70;
RDebugUtils.currentLine=71696456;
 //BA.debugLineNum = 71696456;BA.debugLine="NumSerie = c2.GetString(\"SECUENCIA\")";
parent._numserie = (int)(Double.parseDouble(parent._c2.GetString("SECUENCIA")));
 if (true) break;

case 70:
//C
this.state = 71;
;
RDebugUtils.currentLine=71696458;
 //BA.debugLineNum = 71696458;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
_s = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_s = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select indice from waypoints where codigo = '"+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent.mostCurrent._codigo))+"'"))));
RDebugUtils.currentLine=71696459;
 //BA.debugLineNum = 71696459;BA.debugLine="If s.RowCount > 0 Then";
if (true) break;

case 71:
//if
this.state = 74;
if (_s.getRowCount()>0) { 
this.state = 73;
}if (true) break;

case 73:
//C
this.state = 74;
RDebugUtils.currentLine=71696460;
 //BA.debugLineNum = 71696460;BA.debugLine="s.Position = 0";
_s.setPosition((int) (0));
RDebugUtils.currentLine=71696461;
 //BA.debugLineNum = 71696461;BA.debugLine="NumSerie = s.GetString(\"indice\")";
parent._numserie = (int)(Double.parseDouble(_s.GetString("indice")));
 if (true) break;

case 74:
//C
this.state = 130;
;
RDebugUtils.currentLine=71696463;
 //BA.debugLineNum = 71696463;BA.debugLine="MARK_VERDE = gmap.AddMarker3(LatitudRu,Longitud";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(parent.mostCurrent._subs._createbitmapwithnumber /*anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper*/ (mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-verde.png"),parent._numserie).getObject()));
RDebugUtils.currentLine=71696465;
 //BA.debugLineNum = 71696465;BA.debugLine="MARK_VERDE.Snippet = \"R:\" & ruta & \", \" & Tiend";
parent.mostCurrent._mark_verde.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 75:
//C
this.state = 92;
;
 if (true) break;

case 77:
//C
this.state = 78;
RDebugUtils.currentLine=71696468;
 //BA.debugLineNum = 71696468;BA.debugLine="If verde = 1 Or todos = 1  Then";
if (true) break;

case 78:
//if
this.state = 91;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 80;
}if (true) break;

case 80:
//C
this.state = 81;
RDebugUtils.currentLine=71696469;
 //BA.debugLineNum = 71696469;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
RDebugUtils.currentLine=71696470;
 //BA.debugLineNum = 71696470;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
RDebugUtils.currentLine=71696471;
 //BA.debugLineNum = 71696471;BA.debugLine="c2=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
RDebugUtils.currentLine=71696472;
 //BA.debugLineNum = 71696472;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 81:
//for
this.state = 84;
step74 = 1;
limit74 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 131;
if (true) break;

case 131:
//C
this.state = 84;
if ((step74 > 0 && _i <= limit74) || (step74 < 0 && _i >= limit74)) this.state = 83;
if (true) break;

case 132:
//C
this.state = 131;
_i = ((int)(0 + _i + step74)) ;
if (true) break;

case 83:
//C
this.state = 132;
RDebugUtils.currentLine=71696473;
 //BA.debugLineNum = 71696473;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
RDebugUtils.currentLine=71696474;
 //BA.debugLineNum = 71696474;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
RDebugUtils.currentLine=71696475;
 //BA.debugLineNum = 71696475;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
RDebugUtils.currentLine=71696476;
 //BA.debugLineNum = 71696476;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=71696477;
 //BA.debugLineNum = 71696477;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=71696478;
 //BA.debugLineNum = 71696478;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c2.GetString("CAT_CL_RUTA");
RDebugUtils.currentLine=71696479;
 //BA.debugLineNum = 71696479;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu,Longitu";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_GREEN);
RDebugUtils.currentLine=71696480;
 //BA.debugLineNum = 71696480;BA.debugLine="MARK_VERDE.Snippet = \"R:\" & ruta & \", \" & Tien";
parent.mostCurrent._mark_verde.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 84:
//C
this.state = 85;
;
RDebugUtils.currentLine=71696482;
 //BA.debugLineNum = 71696482;BA.debugLine="c2 .Close";
parent._c2.Close();
RDebugUtils.currentLine=71696483;
 //BA.debugLineNum = 71696483;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
if (true) break;

case 85:
//if
this.state = 90;
if (parent.mostCurrent._mark_verde.IsInitialized()) { 
this.state = 87;
;}if (true) break;

case 87:
//C
this.state = 90;
parent.mostCurrent._list_verde.Add((Object)(parent.mostCurrent._mark_verde.getObject()));
if (true) break;

case 90:
//C
this.state = 91;
;
 if (true) break;

case 91:
//C
this.state = 92;
;
 if (true) break;

case 92:
//C
this.state = 93;
;
RDebugUtils.currentLine=71696487;
 //BA.debugLineNum = 71696487;BA.debugLine="Private esteRojo As Int = 0";
_esterojo = (int) (0);
RDebugUtils.currentLine=71696488;
 //BA.debugLineNum = 71696488;BA.debugLine="Private esteRojo2 As String";
_esterojo2 = "";
RDebugUtils.currentLine=71696489;
 //BA.debugLineNum = 71696489;BA.debugLine="If rojo = 1 Or todos = 1 Then";
if (true) break;

case 93:
//if
this.state = 125;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 95;
}else {
this.state = 111;
}if (true) break;

case 95:
//C
this.state = 96;
RDebugUtils.currentLine=71696490;
 //BA.debugLineNum = 71696490;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
RDebugUtils.currentLine=71696491;
 //BA.debugLineNum = 71696491;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
RDebugUtils.currentLine=71696492;
 //BA.debugLineNum = 71696492;BA.debugLine="c3=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO,";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
RDebugUtils.currentLine=71696493;
 //BA.debugLineNum = 71696493;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 96:
//for
this.state = 109;
step94 = 1;
limit94 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 133;
if (true) break;

case 133:
//C
this.state = 109;
if ((step94 > 0 && _i <= limit94) || (step94 < 0 && _i >= limit94)) this.state = 98;
if (true) break;

case 134:
//C
this.state = 133;
_i = ((int)(0 + _i + step94)) ;
if (true) break;

case 98:
//C
this.state = 99;
RDebugUtils.currentLine=71696494;
 //BA.debugLineNum = 71696494;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
RDebugUtils.currentLine=71696495;
 //BA.debugLineNum = 71696495;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
RDebugUtils.currentLine=71696496;
 //BA.debugLineNum = 71696496;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
RDebugUtils.currentLine=71696497;
 //BA.debugLineNum = 71696497;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=71696498;
 //BA.debugLineNum = 71696498;BA.debugLine="ruta = c3.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c3.GetString("CAT_CL_RUTA");
RDebugUtils.currentLine=71696499;
 //BA.debugLineNum = 71696499;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=71696500;
 //BA.debugLineNum = 71696500;BA.debugLine="If c3.GetString(\"SECUENCIA\") = \"null\" Then";
if (true) break;

case 99:
//if
this.state = 104;
if ((parent._c3.GetString("SECUENCIA")).equals("null")) { 
this.state = 101;
}else {
this.state = 103;
}if (true) break;

case 101:
//C
this.state = 104;
RDebugUtils.currentLine=71696501;
 //BA.debugLineNum = 71696501;BA.debugLine="NumSerie = 0";
parent._numserie = (int) (0);
 if (true) break;

case 103:
//C
this.state = 104;
RDebugUtils.currentLine=71696503;
 //BA.debugLineNum = 71696503;BA.debugLine="NumSerie = c3.GetString(\"SECUENCIA\")";
parent._numserie = (int)(Double.parseDouble(parent._c3.GetString("SECUENCIA")));
 if (true) break;

case 104:
//C
this.state = 105;
;
RDebugUtils.currentLine=71696505;
 //BA.debugLineNum = 71696505;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
_s = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_s = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select indice from waypoints where codigo = '"+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent.mostCurrent._codigo))+"'"))));
RDebugUtils.currentLine=71696506;
 //BA.debugLineNum = 71696506;BA.debugLine="If s.RowCount > 0 Then";
if (true) break;

case 105:
//if
this.state = 108;
if (_s.getRowCount()>0) { 
this.state = 107;
}if (true) break;

case 107:
//C
this.state = 108;
RDebugUtils.currentLine=71696507;
 //BA.debugLineNum = 71696507;BA.debugLine="s.Position = 0";
_s.setPosition((int) (0));
RDebugUtils.currentLine=71696508;
 //BA.debugLineNum = 71696508;BA.debugLine="NumSerie = s.GetString(\"indice\")";
parent._numserie = (int)(Double.parseDouble(_s.GetString("indice")));
 if (true) break;

case 108:
//C
this.state = 134;
;
RDebugUtils.currentLine=71696510;
 //BA.debugLineNum = 71696510;BA.debugLine="MARK_ROJO = gmap.AddMarker3(LatitudRu,LongitudR";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(parent.mostCurrent._subs._createbitmapwithnumber /*anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper*/ (mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-rojo.png"),parent._numserie).getObject()));
RDebugUtils.currentLine=71696513;
 //BA.debugLineNum = 71696513;BA.debugLine="MARK_ROJO.Snippet= \"R:\" & ruta & \", \" & Tienda";
parent.mostCurrent._mark_rojo.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 109:
//C
this.state = 125;
;
 if (true) break;

case 111:
//C
this.state = 112;
RDebugUtils.currentLine=71696516;
 //BA.debugLineNum = 71696516;BA.debugLine="If rojo = 1 Or  todos = 1  Then";
if (true) break;

case 112:
//if
this.state = 124;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 114;
}if (true) break;

case 114:
//C
this.state = 115;
RDebugUtils.currentLine=71696517;
 //BA.debugLineNum = 71696517;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
RDebugUtils.currentLine=71696518;
 //BA.debugLineNum = 71696518;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
RDebugUtils.currentLine=71696519;
 //BA.debugLineNum = 71696519;BA.debugLine="c3=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
RDebugUtils.currentLine=71696520;
 //BA.debugLineNum = 71696520;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 115:
//for
this.state = 118;
step119 = 1;
limit119 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 135;
if (true) break;

case 135:
//C
this.state = 118;
if ((step119 > 0 && _i <= limit119) || (step119 < 0 && _i >= limit119)) this.state = 117;
if (true) break;

case 136:
//C
this.state = 135;
_i = ((int)(0 + _i + step119)) ;
if (true) break;

case 117:
//C
this.state = 136;
RDebugUtils.currentLine=71696521;
 //BA.debugLineNum = 71696521;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
RDebugUtils.currentLine=71696522;
 //BA.debugLineNum = 71696522;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
RDebugUtils.currentLine=71696523;
 //BA.debugLineNum = 71696523;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
RDebugUtils.currentLine=71696524;
 //BA.debugLineNum = 71696524;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=71696525;
 //BA.debugLineNum = 71696525;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c2.GetString("CAT_CL_RUTA");
RDebugUtils.currentLine=71696526;
 //BA.debugLineNum = 71696526;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=71696527;
 //BA.debugLineNum = 71696527;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu,Longitud";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_RED);
RDebugUtils.currentLine=71696528;
 //BA.debugLineNum = 71696528;BA.debugLine="MARK_ROJO.Snippet= \"R:\" & ruta & \", \" & Tienda";
parent.mostCurrent._mark_rojo.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;
;
RDebugUtils.currentLine=71696530;
 //BA.debugLineNum = 71696530;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";

case 118:
//if
this.state = 123;
if (parent.mostCurrent._mark_rojo.IsInitialized()) { 
this.state = 120;
;}if (true) break;

case 120:
//C
this.state = 123;
parent.mostCurrent._list_rojo.Add((Object)(parent.mostCurrent._mark_rojo.getObject()));
if (true) break;

case 123:
//C
this.state = 124;
;
RDebugUtils.currentLine=71696531;
 //BA.debugLineNum = 71696531;BA.debugLine="c3.Close";
parent._c3.Close();
 if (true) break;

case 124:
//C
this.state = 125;
;
 if (true) break;

case 125:
//C
this.state = -1;
;
RDebugUtils.currentLine=71696539;
 //BA.debugLineNum = 71696539;BA.debugLine="Dim aa As CameraPosition";
_aa = new anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper();
RDebugUtils.currentLine=71696540;
 //BA.debugLineNum = 71696540;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
_aa.Initialize(parent._latitudru,parent._longitudru,(float) (15));
RDebugUtils.currentLine=71696541;
 //BA.debugLineNum = 71696541;BA.debugLine="gmap.AnimateCamera(aa)";
parent.mostCurrent._gmap.AnimateCamera((com.google.android.gms.maps.model.CameraPosition)(_aa.getObject()));
RDebugUtils.currentLine=71696544;
 //BA.debugLineNum = 71696544;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
parent.mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
RDebugUtils.currentLine=71696545;
 //BA.debugLineNum = 71696545;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
parent.mostCurrent._oninfowindowclicklistener1.Initialize(mostCurrent.activityBA,"OnInfoWindowClickListener1");
RDebugUtils.currentLine=71696546;
 //BA.debugLineNum = 71696546;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
parent.mostCurrent._googlemapextra.SetOnInfoWindowClickListener((com.google.android.gms.maps.GoogleMap)(parent.mostCurrent._gmap.getObject()),(com.google.android.gms.maps.GoogleMap.OnInfoWindowClickListener)(parent.mostCurrent._oninfowindowclicklistener1.getObject()));
RDebugUtils.currentLine=71696547;
 //BA.debugLineNum = 71696547;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _b_rojo_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_rojo_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_rojo_click", null));}
RDebugUtils.currentLine=72155136;
 //BA.debugLineNum = 72155136;BA.debugLine="Sub B_ROJO_Click";
RDebugUtils.currentLine=72155137;
 //BA.debugLineNum = 72155137;BA.debugLine="rojo = 1";
mostCurrent._rojo = BA.NumberToString(1);
RDebugUtils.currentLine=72155138;
 //BA.debugLineNum = 72155138;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=72155139;
 //BA.debugLineNum = 72155139;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=72155140;
 //BA.debugLineNum = 72155140;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=72155141;
 //BA.debugLineNum = 72155141;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
RDebugUtils.currentLine=72155142;
 //BA.debugLineNum = 72155142;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=72155143;
 //BA.debugLineNum = 72155143;BA.debugLine="End Sub";
return "";
}
public static String  _b_todos_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_todos_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_todos_click", null));}
RDebugUtils.currentLine=72024064;
 //BA.debugLineNum = 72024064;BA.debugLine="Sub B_TODOS_Click";
RDebugUtils.currentLine=72024065;
 //BA.debugLineNum = 72024065;BA.debugLine="todos  =1";
mostCurrent._todos = BA.NumberToString(1);
RDebugUtils.currentLine=72024066;
 //BA.debugLineNum = 72024066;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=72024067;
 //BA.debugLineNum = 72024067;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=72024068;
 //BA.debugLineNum = 72024068;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=72024069;
 //BA.debugLineNum = 72024069;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=72024070;
 //BA.debugLineNum = 72024070;BA.debugLine="End Sub";
return "";
}
public static String  _b_verde_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_verde_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_verde_click", null));}
RDebugUtils.currentLine=72089600;
 //BA.debugLineNum = 72089600;BA.debugLine="Sub B_VERDE_Click";
RDebugUtils.currentLine=72089601;
 //BA.debugLineNum = 72089601;BA.debugLine="verde = 1";
mostCurrent._verde = BA.NumberToString(1);
RDebugUtils.currentLine=72089602;
 //BA.debugLineNum = 72089602;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=72089603;
 //BA.debugLineNum = 72089603;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=72089604;
 //BA.debugLineNum = 72089604;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=72089605;
 //BA.debugLineNum = 72089605;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
RDebugUtils.currentLine=72089606;
 //BA.debugLineNum = 72089606;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=72089607;
 //BA.debugLineNum = 72089607;BA.debugLine="End Sub";
return "";
}
public static String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _parametro) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "gps_locationchanged", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "gps_locationchanged", new Object[] {_parametro}));}
RDebugUtils.currentLine=71827456;
 //BA.debugLineNum = 71827456;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
RDebugUtils.currentLine=71827475;
 //BA.debugLineNum = 71827475;BA.debugLine="End Sub";
return "";
}
public static String  _oninfowindowclicklistener1_click(anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _marker1) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "oninfowindowclicklistener1_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "oninfowindowclicklistener1_click", new Object[] {_marker1}));}
RDebugUtils.currentLine=71761920;
 //BA.debugLineNum = 71761920;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
RDebugUtils.currentLine=71761921;
 //BA.debugLineNum = 71761921;BA.debugLine="Starter.skmt.ExecNonQuery(\"delete from CUENTAA\")";
mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery("delete from CUENTAA");
RDebugUtils.currentLine=71761922;
 //BA.debugLineNum = 71761922;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO CUENTAA V";
mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery2("INSERT INTO CUENTAA VALUES (?) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_marker1.getTitle())}));
RDebugUtils.currentLine=71761923;
 //BA.debugLineNum = 71761923;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=71761924;
 //BA.debugLineNum = 71761924;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Cliente");
RDebugUtils.currentLine=71761925;
 //BA.debugLineNum = 71761925;BA.debugLine="End Sub";
return "";
}
}